#define SPKR      11
#define SPKR_GND  12
#define LED       13

#define NOTE_C3  131
#define NOTE_B3  247
#define NOTE_C4  262
#define NOTE_D6  1175

void setup() {
  // Piezo speaker connected to pins 11 and 12
  pinMode(SPKR_GND, OUTPUT);      // Ground for speaker
  digitalWrite(SPKR_GND, LOW);
  pinMode(LED, OUTPUT); 
}

void loop() {
  beep_beep();
  delay(2000);
  beep_beep_beep();
  delay(2000);
}

void beep_beep() {
  int tones[] = {NOTE_D6, NOTE_C3};
  int toneDurations[] = {2,4};   // Half, quarter note
  makeTone(tones, toneDurations, sizeof(tones)/sizeof(int));
}

void beep_beep_beep() {
  int tones[] = {NOTE_C4, NOTE_B3, NOTE_C4};
  int toneDurations[] = {8,4,1}; // Eighth, quarter, full note
  makeTone(tones, toneDurations, sizeof(tones)/sizeof(int));
}

void makeTone(int tones[], int toneDurations[], int length) {
  digitalWrite(LED, HIGH);   // Turn on LED when making tone
  // Iterate notes of tune
  for (int thisNote = 0; thisNote < length; thisNote++) {

    //Calculate the note duration
    int toneDuration = 1000/toneDurations[thisNote];
    tone(SPKR, tones[thisNote],toneDuration);

    //Add slight pause between notes
    int pauseBetweenNotes = toneDuration * 1.30;
    delay(toneDuration * 1.30);
    noTone(SPKR);              // Stop tone
  }
  digitalWrite(LED, LOW);      // Turn off LED when done
}

